<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ResTicketingRules StructType
 * @package Dg
 * @subpackage Structs
 */
class DgResTicketingRules extends AbstractStructBase
{
    /**
     * The AdvResTicketing
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgAdvResTicketing
     */
    public $AdvResTicketing;
    /**
     * Constructor method for ResTicketingRules
     * @uses DgResTicketingRules::setAdvResTicketing()
     * @param \dgsoft\StructType\DgAdvResTicketing $advResTicketing
     */
    public function __construct(\dgsoft\StructType\DgAdvResTicketing $advResTicketing = null)
    {
        $this
            ->setAdvResTicketing($advResTicketing);
    }
    /**
     * Get AdvResTicketing value
     * @return \dgsoft\StructType\DgAdvResTicketing|null
     */
    public function getAdvResTicketing()
    {
        return $this->AdvResTicketing;
    }
    /**
     * Set AdvResTicketing value
     * @param \dgsoft\StructType\DgAdvResTicketing $advResTicketing
     * @return \dgsoft\StructType\DgResTicketingRules
     */
    public function setAdvResTicketing(\dgsoft\StructType\DgAdvResTicketing $advResTicketing = null)
    {
        $this->AdvResTicketing = $advResTicketing;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgResTicketingRules
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
